Skip to main content
GET
Get a Search Agent result

Authorizations

Authorization
string
header
required

Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header. Note: A payment method is required to use the API.

Path Parameters

task_id
string
required

The task id returned by the Search Agent API.

Response

Successful Search Agent task response

request_id
string
required

Unique identifier for the request.

task_id
string
required

Unique task id.

tier
enum<string>
required

The tier from the request.

Available options:
auto,
low,
medium,
high
status
enum<string>
required

Task state.

Available options:
queued,
running,
succeeded,
failed,
cancelled
created_at
integer
required

Unix timestamp in seconds when the task was created.

previous_task_id
string | null

The previous_task_id from the request.

stop_reason
enum<string>

Why the task stopped. schema_satisfied: completed normally; stopped: stopped on request; budget_reached / time_limit_reached: wrapped up early after reaching an internal budget or time limit; cancelled: cancelled; error: failed.

Available options:
schema_satisfied,
stopped,
budget_reached,
time_limit_reached,
cancelled,
error
choices
object[]

A list of completion choices, present when status is succeeded.

error
object

Failure reason, present when status is failed. Failed tasks are not billed.

completed_at
integer

Unix timestamp in seconds when the task finished.

meta
object

Metadata for the Search Agent response.